CPIO(1)

NOMBRE
cpio - copia ficheros a y desde archivos

SINOPSIS
cpio {-o|--create} [-0acvABLV] [-C BYTES] [-H FORMATO] [-M MENSAJE] [-O [[USUARIO@]EQUIPO:]ARCHIVO] [-F [[USUARIO@]EQUIPO:]ARCHIVO] [--file=[[USUARIO@]EQUIPO:]ARCHIVO] [--format=FORMATO] [--message=MENSAJE] [--null] [--reset-access-time] [--verbose] [--dot] [--append] [--block-size=bloques] [--dereference] [--io-size=BYTES] [--quiet] [--force-local] [--rsh-command=orden] < lista-nombres [> archivo] cpio {-i|--extract} [-bcdfmnrtsuvBSV] [-C BYTES] [-E ARCHIVO] [-H FORMATO] [-M MENSAJE] [-R [USUARIO][:.][GRUPO]] [-I [[USUARIO@]EQUIPO:]ARCHIVO] [-F [[USUARIO@]EQUIPO:]ARCHIVO] [--file=[[USUARIO@]EQUIPO:]ARCHIVO] [--make-directories] [--nonmatching] [--preserve-modification-time] [--numeric-uid-gid] [--rename] [--list] [--swap-bytes] [--swap] [--dot] [--unconditional] [--verbose] [--block-size=BLOQUES] [--swap-halfwords] [--io-size=BYTES] [--pattern-file=ARCHIVO] [--format=FORMATO] [--owner=[USUARIO][:.][GRUPO]] [--no-preserve-owner] [--message=MENSAJE] [--force-local] [--no-absolute-filename] [--sparse] [--only-verify-crc] [--to-stdout] [--quiet] [--orden-rsh=ORDEN] [PATRÓN...] [< ARCHIVO] cpio {-p|--pass-through} [-0adlmuvLV] [-R [USUARIO][:.][GRUPO]] [--null] [--reset-access-time] [--make-directories] [--link] [--quiet] [--preserve-modification-time] [--unconditional] [--verbose] [--dot] [--dereference] [--owner=[USUARIO][:.][GRUPO]] [--no-preserve-owner] [--sparse] directorio-destino < lista-nombres cpio {-?|--help|--usage|--version}

NOTA
Esta página de manual contiene una breve descripción de GNU cpio. Si desea una explicación más detallada con ejemplos y recomendaciones de uso, consulte el Manual de GNU Cpio, disponible en formato texinfo. Si el lector info y la documentación de cpio están correctamente instalados en su sistema, la orden

    info cpio

debería mostrarle el manual completo.

También puede ver el manual usando el modo de información en emacs(1), o encontrarlo en varios formatos en internet en

    http://www.gnu.org/software/cpio/manual

Si se produce alguna discrepancia entre esta página de manual y el GNU Cpio Manual, este último se considerará la fuente autorizada.

DESCRIPCIÓN
GNU cpio copia ficheros entre archivos y directorios. Puede manejar los siguientes formatos de archivo: cpio binario antiguo, cpio portable antiguo, cpio SVR4 con y sin suma de comprobación, cpio HP y varios formatos tar.

El modo de operación se solicita mediante una de las siguientes opciones:

-o, --create
    Copia de salida. Lee una lista de nombres de archivo de la entrada estándar y crea en la salida estándar (a menos que se sobrescriba con la opción --file) un archivo con estos fiheros.

-i, --extract
    Copia de entrada. Lee el archivo desde la entrada estándar (o desde el archivo proporcionado con la opción --file) y extrae los archivos, o (si se proporciona la opción -t) lista su contenido en la salida estándar. Si se proporcionan uno o más patrones, lee o lista solo los archivos que concuerdan con estos patrones. La opción -t por sí sola implica -i.

-p, --pass-through
    Paso a través. Lee una lista de nombres de archivo desde la entrada estándar y los copia en el directorio especificado.

-?, --help
    Proporciona un breve resumen de la ayuda y finaliza.

--usage
    Muestra un breve mensaje de uso y finaliza.

--version
    Muestra la versión del programa y finaliza.

OPCIONES

  Modificadores de operación válidos en cualquier modo.

--block-size=TAMAÑO-BLOQUE
    Establece el tamaño del bloque de E/S a TAMAÑO-BLOQUE × 512 bytes.

-B  Establece el tamaño del bloque de E/S a 5120 bytes.

-c  Utiliza el antiguo formato de archivo portable (ASCII). Idéntico a -H odc.

-C, --io-size=NÚMERO
    Establecer el tamaño del bloque de E/S al NÚMERO de bytes indicado.

-D, --directory=DIRECTORIO
    Cambia al directorio DIR.

--force-local
    El archivo destino es local, incluso si su nombre contiene dos puntos.

-H, --format=FORMATO
    Utilice el FORMATO de archivo indicado. Los formatos válidos son (el número entre paréntesis indica el tamaño máximo de cada miembro del archivo):

    bin Formato binario obsoleto (2147483647 bytes).

    odc Formato portable antiguo (POSIX.1). (8589934591 bytes).

    newc
        Nuevo formato portable (SVR4), compatible con sistemas de archivos con más de 65536 inodos (4294967295 bytes).

    crc El nuevo formato portable (SVR4) con una suma de comprobación añadida.

    tar Formato tar antiguo (8589934591 bytes).

    ustar
        Formato tar POSIX.1. También reconoce archivos tar de GNU, que son similares, aunque no idénticos (8589934591 bytes).

    hpbin
        El formato binario obsoleto empleado por el cpio de HP/UX (que almacena los ficheros de dispositivo de forma diferente).

    hpodc
        El formato portable empleado por el cpio de HP/UX (que almacena los ficheros de dispositivo de forma diferente).

-R, --owner=[USUARIO][:.][GRUPO]
    En los modos de copia entrante y de copia de paso, asignará la propiedad de todos los archivos creados al USUARIO o GRUPO especificado. En modo de copia de salida, almacena la información del propietario indicado en el archivo. USUARIO y GRUPO se buscan primero en las bases de datos de usuarios y grupos del sistema. Si no se encuentran, cpio comprueba si solo contienen dígitos decimales y, de ser así, los trata como UID y GID numéricos, según corresponda. Para evitar la búsqueda y garantizar que los argumentos se traten como valores numéricos, puede añadirles un signo más como prefijo, por ejemplo: -R +0:+0.

--quiet
    No muestra el número de bloques copiados al final de la ejecución.

--rsh-command=ORDEN
    Use la ORDEN en lugar de rsh.

-v, --verbose
    Enumera detalladamente los archivos procesados.

-V, --dot
    Muestra un "." por cada fichero procesado.

-W, --warning=BANDERA
    Controla las advertencias que se muestran. BANDERA es uno de los siguientes: none, para deshabilitar todas las advertencias, all para habilitar todas, truncate, para habilitar advertencias sobre el truncamiento de campos y no-truncate, para deshabilitarlas. Se acumulan varias opciones -W.

  Modificadores de operación válidos en los modos de copia de entrada y de salida:

-F, --file=[[USUARIO@]EQUIPO:]ARCHIVO-FICHERO
    Utilice este ARCHIVO-FICHERO en lugar de la entrada estándar (en el modo de copia de entrada) o la salida estándar (en el modo de copia de salida). USUARIO y EQUIPO son opcionales y definen los nombres de usuario y equipo en el caso de un archivo comprimido remoto.

-M, --message=CADENA
    Muestra CADENA al llegar al final de un volumen del medio empleado en la copia de seguridad.

  Modificadores de operación válidos solo en el modo de copia de entrada:

-b, --swap
    Intercambia semi-palabras y bytes de semi-palabras en los datos. Equivalente a -sS.

-f, --nonmatching
    Solamente copia ficheros que no concuerden con ninguno de los patrones dados.

-n, --numeric-uid-gid
    En la tabla de contenido detallada, muestra el UID y el GID numéricos.

-r, --rename
    Renombra ficheros interactivamente.

-s, --swap-bytes
    Intercambia los bytes de cada semi-palabra en los archivos.

-S, --swap-halfwords
    Intercambia las semi-palabras de cada palabra (4 bytes) en los archivos.

--to-stdout
    Extrae los archivos a la salida estándar.

-E, --pattern-file=ARCHIVO
    Lee patrones adicionales que definen los nombres de archivo para extraer o listar de ARCHIVO.

--only-verify-crc
    Al leer un archivo comprimido con formato CRC, verificar únicamente los CRC de cada fichero sin extraerlo.

  Modificadores de operación válidos solo en modo de copia de salida.

-A, --append
    Añadir a un archivo comprimido existente.

--device-independent, --reproducible
    Crear archivos comprimidos reproducibles. Esto equivale a --ignore-devno --ignore-dirnlink --renumber-inodes.

--ignore-devno
    Almacenar «0» en el campo de número de dispositivo de cada miembro del archivo, en lugar del número de dispositivo real.

--ignore-dirnlink
    Almacenar «2» en el campo nlink de cada miembro del archivo de directorio, en lugar del número real de enlaces.

-O [[USUARIO@]EQUIPO:]NOMBRE-ARCHIVO
    Utilice NOMBRE-ARCHIVO en lugar de la salida estándar. Los valores opcionales USUARIO y EQUIPO definen los nombres de usuario y equipo en el caso de un archivo remoto. El nombre del archivo de salida se puede indicar con esta opción o con -F (--file), pero no con ambas.

--renumber-inodes
    Renumerar los inodos al almacenarlos en el archivo.

  Modificadores de operación válidos solo en modo de copia-paso.

-l, --link
    Enlaza archivos en vez de copiarlos, cuando es posible.

  Modificadores de operación válidos en los modos de copia de entrada y de salida:

--absolute-filenames
    No elimina los componentes del prefijo del sistema de archivos de los nombres de archivo. Esta es la opción predeterminada.

--no-absolute-filenames
    Crea todos los archivos relativos al directorio actual.

  Modificadores de operación válidos en los modos de copia-salida y copia-paso.

-0, --null
    Los nombres de archivo de la lista se delimitan con caracteres nulos en lugar de nuevas líneas.

-a, --reset-access-time
    Restablece los tiempos de acceso de los archivos después de leerlos.

-I [[USUARIO@]EQUIPO:]NOMBRE-ARCHIVO
    Emplea NOMBRE-ARCHIVO en lugar de la entrada estándar. Los nombres USUARIO y EQUIPO son opcionales y especifican los nombres de usuario y equipo en caso de un archivo remoto. El nombre del archivo de entrada se puede indicar mediantes esta opción o con -F (--archivo), pero no con ambas.

-L, --dereference
    Desreferencia los enlaces simbólicos (copia los ficheros a los que apunten en vez de copiar los enlaces).

  Modificadores de operación válidos en los modos de copia entrante y copia pasiva.

-d, --make-directories
    Crea directorios iniciales donde se necesiten.

-m, --preserve-modification-time
    Retiene los tiempos de modificación anteriores del fichero cuando crea ficheros.

--no-preserve-owner
    No cambia la propiedad de los archivos.

--sparse
    Escribe ficheros con grandes bloques de ceros como ficheros dispersos.

-u, --unconditional
    Reemplaza incondicionalmente todos los archivos.

VALOR DEVUELTO
GNU cpio finalizara con el código 0 si logró completar correctamente la operación solicitada. En caso de error lo hará con el código 2.

VÉASE TAMBIÉN
tar(1), rmt(8), mt(1).

INFORMES DE FALLOS
Envíe informes de error a <bug-cpio@gnu.org>.

COPYRIGHT
Copyright © 2014--2023 Free Software Foundation, Inc.
Licencia GPLv3+: GNU GPL versión 3 o posterior <http://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.